list.listinterface

## Interface List

- All Superinterfaces:
    BaseListInterface, CommonBase, QueueList
  All Known Subinterfaces:
    SortableList
  All Known Implementing Classes:
    SortableDoublyLinkedList

      public interface List
      extends QueueList

  Specifikace seznamu.

  Popis: interface seznamu.

  Užití: implementujte třídou.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `insert(Element elem)` Vloží elem před běžný prvek.
    `boolean` | `isFirst()` Zjistí, zda běžný prvek je první.
    `boolean` | `isLast()` Zjistí, zda běžný prvek je poslední.
    `void` | `moveLast()` Učiní ocas běžným prvkem.
    `void` | `moveNext()` Učiní následující prvek běžným prvkem.
    `void` | `movePrev()` Učiní předcházející prvek běžným prvkem.
    `void` | `moveTo(int index)` Učiní index-tý prvek běžným prvkem.

    - ### Methods inherited from interface list.listinterface.QueueList

      `append`

    - ### Methods inherited from interface list.listinterface.BaseListInterface

      `getSize, moveFirst, remove`

    - ### Methods inherited from interface list.listinterface.CommonBase

      `getElement, getMoveCounter, resetMoveCounter, setElement`

- - ### Method Detail

    - #### insert

          void insert(Element elem)

      Vloží elem před běžný prvek.

      Vyžaduje: not isFull

      Parameters:
        `elem` - prvek, který má být vložen

    - #### moveLast

          void moveLast()

      Učiní ocas běžným prvkem.

      Vyžaduje: not isEmpty

    - #### moveNext

          void moveNext()

      Učiní následující prvek běžným prvkem.

      Vyžaduje: not isEmpty and not isLast

    - #### movePrev

          void movePrev()

      Učiní předcházející prvek běžným prvkem.

      Vyžaduje: not isEmpty and not isFirst

    - #### moveTo

          void moveTo(int index)

      Učiní index-tý prvek běžným prvkem.

      Vyžaduje: not isEmpty and (index in [0..Pred(getSize)])

      Parameters:
        `index` - pořadové číslo prvku, který má být běžný (čísluje se od 0?)

    - #### isFirst

          boolean isFirst()

      Zjistí, zda běžný prvek je první.

      Vyžaduje: not isEmpty

      Returns:
        true když je první, jinak false

    - #### isLast

          boolean isLast()

      Zjistí, zda běžný prvek je poslední.

      Vyžaduje: not isEmpty

      Returns:
        true když je poslední, jinak false